Skip to main content
`Ctrl`+`K`

# DSRestoreMatAndColumn

Restores the matrix and vector after `DSGetMatAndColumn()` was called.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRestoreMatAndColumn(DS ds,DSMatType m,PetscInt col,Mat *A,Vec *v)

Not Collective

## Input Parameters

- ds - the direct solver context

- m - the requested matrix

- col - the requested column

- A - the fetched `Mat` object

- v - the fetched `Vec` object

## Note

A call to this function must match a previous call of `DSGetMatAndColumn()`.

## See Also

DS: Direct Solver (or Dense System), `DSGetMatAndColumn()`, `DSRestoreMat()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsops.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages